Current-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Call for testers: emulators/wine 1.0

On Thu, Jun 26, 2008 at 10:33:29PM -0400, Jared D. McNeill wrote:
> The latest Wine 1.0 package in pkgsrc should work on -current/i386 now. I'm 
> running Diablo II with it on my EeePC right now, so I'm pretty happy with 
> the progress. I was unable to run the installer though, which might point 
> to a bug in CDROM handling. Also, there appears to be an audio problem (at 
> least with azalia, haven't tried any other sound cards).
> If I could get confirmation that this is working for others, that would be 
> great.

Just for the record:
It doesn't compile on -current/amd64, with:
cc -c -I. -I. -I../../include -I../../include  -D__WINESRC__ 
-DREGISTER_PROXY_DLL -DPROXY_CLSID_IS="{ 0xb8da6310, 0xe19b, 0x11d0, { 0x93, 
0x3c, 0x00, 0xa0, 0xc9, 0x0d, 0xca, 0xa9 } }" -D_REENTRANT -fPIC -Wall -pipe 
-fno-strict-aliasing -Wdeclaration-after-statement -Wwrite-strings 
-Wpointer-arith -DLDAP_DEPRECATED -I/usr/pkg/include -I/usr/include 
-I/usr/pkg/include/freetype2 -O2 -DLDAP_DEPRECATED -I/usr/pkg/include 
-I/usr/include -I/usr/pkg/include/freetype2  -o actxprxy_servprov_p.o 
actxprxy_servprov_p.c:274:2: error: #error Currently only Wine and WIN32 are 


Home | Main Index | Thread Index | Old Index